Legacy SDK support

The GameAnalytics tool changes its shape and list of features with time and we strive to keep supporting all the older SDKs that are using V1 events without influencing the way the metrics constructed with them work. However, unfortunately, maintaining accuracy for session length is no longer possible and the metric will be deprecated on 15th of October. If we do not support the platform you are targeting you are able to create your own integration using our REST API.

Can I still use any of the SDKs I’ve already instrumented in my game?

All legacy SDKs are completely safe to use and we will collect and process all data received. However, we do encourage you to update to V2 as mentioned above, in order to make use of all the great features that are available in our new SDKs.

Can I use any of the SDKs that do not yet have an update available?

You can use our existing SDKs that do not yet have an update available with no issues. We will continue to collect and process the data received from these. But it means you will be missing out on our great new features such as progression, purchase validation and custom dimensions. Learn more about the new features.

Didn't find what you were looking for?

Our friendly support team would be happy to help